Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ chapter01/changelog.xml	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -66,4 +66,11 @@
 directory.</para></listitem>
 
+<listitem><para>September 13th, 2002 [gerard]: Chapter 06 - Man: Added
+another regex to the <userinput>sed</userinput> command that modifies the
+<filename>man.conf</filename> file. The added regex comments out the
+<emphasis>MANPATH /usr/man</emphasis> line which causes for duplicate
+results when using the <userinput>whatis</userinput>
+command</para></listitem>
+
 <listitem><para>September 13th, 2002 [gerard]: Chapter 06: Added the
 <emphasis>Linux Threads Man Pages</emphasis> installation after the Perl
Index: chapter02/aboutsbus.xml
===================================================================
--- chapter02/aboutsbus.xml	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
+++ chapter02/aboutsbus.xml	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -0,0 +1,30 @@
+<sect1 id="ch02-aboutsbus">
+<title>About SBUs</title>
+<?dbhtml filename="aboutsbus.html" dir="chapter02"?>
+
+<para>SBUs are <emphasis>Static Bash Units</emphasis> and they are our way
+of identifying how long a package takes to compile. Why don't we use normal
+times like anybody else?</para>
+
+<para>The biggest problem is that times cannot be acurate, not even a
+little bit. So many people install LFS on so many different systems, the
+times it takes to compile something varies too much. One package may take
+20 minutes on one system, but that same packages may take 3 days on another
+(this is not an exaggeration). So instead we've come up with a
+<emphasis>Static Bash Unit</emphasis> or <emphasis>SBU</emphasis>.</para>
+
+<para>It works like this: the very first package you compile in this book
+is Bash in chapter 5 and it'll be statically linked. The time it takes to
+compile this package will be the basis and called the SBU. All other
+compile times are relative to the time it takes to install Bash. For
+example, GCC-3.2 takes about 9.5 SBUs and it's proven that this number if
+fairly consistent among a lot of different systems. So multiply 9.5 by the
+number of seconds it takes for Bash to install (the SBU value) and you get
+a close approximation of how long GCC will take on your system.</para>
+
+<para>Note: SBUs don't work on SMP machines. We've seen that SBUs don't
+work well on SMP based machines. So all bets are off if you're lucky enough
+to have an SMP setup.</para>
+
+</sect1>
+
Index: chapter02/chapter02.xml
===================================================================
--- chapter02/chapter02.xml	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ chapter02/chapter02.xml	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -4,4 +4,5 @@
 
 &c2-aboutlfs;
+&c2-aboutsbus;
 &c2-download;
 &c2-install;
Index: chapter06/kernel.xml
===================================================================
--- chapter06/kernel.xml	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ chapter06/kernel.xml	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -3,6 +3,6 @@
 <?dbhtml filename="kernel.html" dir="chapter06"?>
 
-<screen>Estimated build time:           &kernel-time-static;
-Estimated required disk space:  &kernel-compsize-static;</screen>
+<screen>Estimated build time:           &kernel-time-headers;
+Estimated required disk space:  &kernel-compsize-headers;</screen>
 
 &c6-kernel-inst;
Index: chapter06/man-inst.xml
===================================================================
--- chapter06/man-inst.xml	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ chapter06/man-inst.xml	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -8,6 +8,7 @@
 make &amp;&amp;
 cp src/man.conf{,.backup} &amp;&amp;
-sed '/^PAGER/s/-is/-isR/' \
-&nbsp;&nbsp;&nbsp;&nbsp;src/man.conf.backup &gt; src/man.conf &amp;&amp;
+sed -e '/^PAGER/s/-is/-isR/' \
+&nbsp;&nbsp;&nbsp;&nbsp;-e 's%MANPATH[[:space:]]/usr/man%#MANPATH /usr/man%' \
+&nbsp;&nbsp;&nbsp;&nbsp;src/man.conf.backup > src/man.conf &amp;&amp;
 make install</userinput></screen></para>
 
Index: entities/autoconf.ent
===================================================================
--- entities/autoconf.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/autoconf.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -17,3 +17,3 @@
 
 <!ENTITY autoconf-compsize "6 MB">
-<!ENTITY autoconf-time "1 minute">
+<!ENTITY autoconf-time "0.05 SBU">
Index: entities/automake.ent
===================================================================
--- entities/automake.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/automake.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -17,3 +17,3 @@
 
 <!ENTITY automake-compsize "6 MB">
-<!ENTITY automake-time "1 minute">
+<!ENTITY automake-time "0.03 SBU">
Index: entities/bash.ent
===================================================================
--- entities/bash.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/bash.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -21,6 +21,6 @@
 
 <!ENTITY bash-compsize-static "15 MB">
-<!ENTITY bash-time-static "3 minutes">
+<!ENTITY bash-time-static "1 SBU">
 
 <!ENTITY bash-compsize "14 MB">
-<!ENTITY bash-time "3 minutes">
+<!ENTITY bash-time "0.82 SBU">
Index: entities/bin86.ent
===================================================================
--- entities/bin86.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/bin86.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -17,3 +17,3 @@
 
 <!ENTITY bin86-compsize "2 MB">
-<!ENTITY bin86-time "1 minute">
+<!ENTITY bin86-time "0.07 SBU">
Index: entities/binutils.ent
===================================================================
--- entities/binutils.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/binutils.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -22,6 +22,6 @@
 
 <!ENTITY binutils-compsize-static "143 MB">
-<!ENTITY binutils-time-static "6 minutes">
+<!ENTITY binutils-time-static "2.05 SBU">
 
 <!ENTITY binutils-compsize "94 MB">
-<!ENTITY binutils-time "6 minutes">
+<!ENTITY binutils-time "2.48 SBU">
Index: entities/bison.ent
===================================================================
--- entities/bison.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/bison.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -17,3 +17,3 @@
 
 <!ENTITY bison-compsize "6 MB">
-<!ENTITY bison-time "1 minute">
+<!ENTITY bison-time "0.27 SBU">
Index: entities/bootscripts.ent
===================================================================
--- entities/bootscripts.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/bootscripts.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -17,3 +17,3 @@
 
 <!ENTITY bootscripts-compsize "420 KB">
-<!ENTITY bootscripts-time "1 minute">
+<!ENTITY bootscripts-time "0.01 SBU">
Index: entities/bzip2.ent
===================================================================
--- entities/bzip2.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/bzip2.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -22,6 +22,6 @@
 
 <!ENTITY bzip2-compsize-static "9 MB">
-<!ENTITY bzip2-time-static "1 minute">
+<!ENTITY bzip2-time-static "0.07 SBU">
 
 <!ENTITY bzip2-compsize "3 MB">
-<!ENTITY bzip2-time "1 minute">
+<!ENTITY bzip2-time "0.09 SBU">
Index: entities/chapter02.ent
===================================================================
--- entities/chapter02.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/chapter02.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -1,4 +1,5 @@
 <!ENTITY chapter02 SYSTEM "../chapter02/chapter02.xml">
 <!ENTITY c2-aboutlfs SYSTEM "../chapter02/aboutlfs.xml">
+<!ENTITY c2-aboutsbus SYSTEM "../chapter02/aboutsbus.xml">
 <!ENTITY c2-download SYSTEM "../chapter02/download.xml">
 <!ENTITY c2-install SYSTEM "../chapter02/install.xml">
Index: entities/diffutils.ent
===================================================================
--- entities/diffutils.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/diffutils.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -21,6 +21,6 @@
 
 <!ENTITY diffutils-compsize-static "12 MB">
-<!ENTITY diffutils-time-static "1 minute">
+<!ENTITY diffutils-time-static "0.39 SBU">
 
 <!ENTITY diffutils-compsize "6 MB">
-<!ENTITY diffutils-time "1 minute">
+<!ENTITY diffutils-time "0.31 SBU">
Index: entities/e2fsprogs.ent
===================================================================
--- entities/e2fsprogs.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/e2fsprogs.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -18,3 +18,3 @@
 
 <!ENTITY e2fsprogs-compsize "13 MB">
-<!ENTITY e2fsprogs-time "2 minutes">
+<!ENTITY e2fsprogs-time "0.80 SBU">
Index: entities/ed.ent
===================================================================
--- entities/ed.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/ed.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -21,3 +21,3 @@
 
 <!ENTITY ed-compsize "3 MB">
-<!ENTITY ed-time "1 minute">
+<!ENTITY ed-time "0.06 SBU">
Index: entities/file.ent
===================================================================
--- entities/file.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/file.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -17,3 +17,3 @@
 
 <!ENTITY file-compsize "2 MB">
-<!ENTITY file-time "1 minute">
+<!ENTITY file-time "0.21 SBU">
Index: entities/fileutils.ent
===================================================================
--- entities/fileutils.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/fileutils.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -24,6 +24,6 @@
 
 <!ENTITY fileutils-compsize-static "49 MB">
-<!ENTITY fileutils-time-static "3 minutes">
+<!ENTITY fileutils-time-static "0.94 SBU">
 
 <!ENTITY fileutils-compsize "17 MB">
-<!ENTITY fileutils-time "3 minutes">
+<!ENTITY fileutils-time "0.68 SBU">
Index: entities/findutils.ent
===================================================================
--- entities/findutils.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/findutils.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -25,6 +25,6 @@
 
 <!ENTITY findutils-compsize-static "12 MB">
-<!ENTITY findutils-time-static "1 minute">
+<!ENTITY findutils-time-static "0.12 SBU">
 
 <!ENTITY findutils-compsize "3 MB">
-<!ENTITY findutils-time "1 minute">
+<!ENTITY findutils-time "0.10 SBU">
Index: entities/flex.ent
===================================================================
--- entities/flex.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/flex.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -17,3 +17,3 @@
 
 <!ENTITY flex-compsize "3 MB">
-<!ENTITY flex-time "1 minute">
+<!ENTITY flex-time "0.05 SBU">
Index: entities/gawk.ent
===================================================================
--- entities/gawk.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/gawk.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -24,6 +24,6 @@
 
 <!ENTITY gawk-compsize-static "25 MB">
-<!ENTITY gawk-time-static "2 minutes">
+<!ENTITY gawk-time-static "0.39 SBU">
 
 <!ENTITY gawk-compsize "15 MB">
-<!ENTITY gawk-time "2 minutes">
+<!ENTITY gawk-time "0.39 SBU">
Index: entities/gcc.ent
===================================================================
--- entities/gcc.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/gcc.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -25,6 +25,6 @@
 
 <!ENTITY gcc-compsize-static "233 MB">
-<!ENTITY gcc-time-static "22 minutes">
+<!ENTITY gcc-time-static "9.48 SBU">
 
 <!ENTITY gcc-compsize "221 MB">
-<!ENTITY gcc-time "22 minutes">
+<!ENTITY gcc-time "13.26 SBU">
Index: entities/gettext.ent
===================================================================
--- entities/gettext.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/gettext.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -18,3 +18,3 @@
 
 <!ENTITY gettext-compsize "39 MB">
-<!ENTITY gettext-time "1 minute">
+<!ENTITY gettext-time "0.99 SBU">
Index: entities/glibc.ent
===================================================================
--- entities/glibc.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/glibc.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -26,3 +26,3 @@
 
 <!ENTITY glibc-compsize "350 MB">
-<!ENTITY glibc-time "46 minutes">
+<!ENTITY glibc-time "14.71 SBU">
Index: entities/grep.ent
===================================================================
--- entities/grep.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/grep.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -21,6 +21,6 @@
 
 <!ENTITY grep-compsize-static "7 MB">
-<!ENTITY grep-time-static "1 minute">
+<!ENTITY grep-time-static "0.26 SBU">
 
 <!ENTITY grep-compsize "5 MB">
-<!ENTITY grep-time "1 minute">
+<!ENTITY grep-time "0.22 SBU">
Index: entities/groff.ent
===================================================================
--- entities/groff.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/groff.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -18,3 +18,3 @@
 
 <!ENTITY groff-compsize "18 MB">
-<!ENTITY groff-time "2 minutes">
+<!ENTITY groff-time "1.08 SBU">
Index: entities/gzip.ent
===================================================================
--- entities/gzip.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/gzip.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -24,6 +24,6 @@
 
 <!ENTITY gzip-compsize-static "6 MB">
-<!ENTITY gzip-time-static "1 minute">
+<!ENTITY gzip-time-static "0.04 SBU">
 
 <!ENTITY gzip-compsize "2 MB">
-<!ENTITY gzip-time "1 minute">
+<!ENTITY gzip-time "0.03 SBU">
Index: entities/kbd.ent
===================================================================
--- entities/kbd.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/kbd.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -21,3 +21,3 @@
 
 <!ENTITY kbd-compsize "8 MB">
-<!ENTITY kbd-time "1 minute">
+<!ENTITY kbd-time "0.12 SBU">
Index: entities/kernel.ent
===================================================================
--- entities/kernel.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/kernel.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -20,7 +20,7 @@
 <!ENTITY kernel-dir "linux">
 
-<!ENTITY kernel-compsize-static "171 MB">
-<!ENTITY kernel-time-static "1 minute">
+<!ENTITY kernel-compsize-headers "155 MB">
+<!ENTITY kernel-time-headers "0.02">
 
-<!ENTITY kernel-compsize "Depends on options selected">
-<!ENTITY kernel-time "Depends on options selected">
+<!ENTITY kernel-compsize "All default options: 181 MB">
+<!ENTITY kernel-time "All default options: 4.20 SBU">
Index: entities/less.ent
===================================================================
--- entities/less.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/less.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -17,3 +17,3 @@
 
 <!ENTITY less-compsize "2 MB">
-<!ENTITY less-time "1 minute">
+<!ENTITY less-time "0.13 SBU">
Index: entities/libtool.ent
===================================================================
--- entities/libtool.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/libtool.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -17,3 +17,3 @@
 
 <!ENTITY libtool-compsize "7 MB">
-<!ENTITY libtool-time "1 minute">
+<!ENTITY libtool-time "0.15 SBU">
Index: entities/lilo.ent
===================================================================
--- entities/lilo.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/lilo.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -19,3 +19,3 @@
 
 <!ENTITY lilo-compsize "3 MB">
-<!ENTITY lilo-time "1 minute">
+<!ENTITY lilo-time "0.08 SBU">
Index: entities/linuxthreadsmanpages.ent
===================================================================
--- entities/linuxthreadsmanpages.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/linuxthreadsmanpages.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -14,3 +14,3 @@
 
 <!ENTITY linuxthreadsmanpages-compsize "1.5 MB">
-<!ENTITY linuxthreadsmanpages-time "1 minute">
+<!ENTITY linuxthreadsmanpages-time "0.01 SBU">
Index: entities/m4.ent
===================================================================
--- entities/m4.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/m4.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -17,3 +17,3 @@
 
 <!ENTITY m4-compsize "3 MB">
-<!ENTITY m4-time "1 minute">
+<!ENTITY m4-time "0.08 SBU">
Index: entities/make.ent
===================================================================
--- entities/make.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/make.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -21,6 +21,6 @@
 
 <!ENTITY make-compsize-static "7 MB">
-<!ENTITY make-time-static "1 minute">
+<!ENTITY make-time-static "0.26 SBU">
 
 <!ENTITY make-compsize "6 MB">
-<!ENTITY make-time "1 minute">
+<!ENTITY make-time "0.22 SBU">
Index: entities/makedev.ent
===================================================================
--- entities/makedev.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/makedev.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -17,3 +17,3 @@
 
 <!ENTITY makedev-compsize "75 KB">
-<!ENTITY makedev-time "1 minute">
+<!ENTITY makedev-time "0.07 SBU">
Index: entities/man.ent
===================================================================
--- entities/man.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/man.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -18,3 +18,3 @@
 
 <!ENTITY man-compsize "2 MB">
-<!ENTITY man-time "1 minute">
+<!ENTITY man-time "0.05 SBU">
Index: entities/manpages.ent
===================================================================
--- entities/manpages.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/manpages.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -17,3 +17,3 @@
 
 <!ENTITY man-pages-compsize "13 MB">
-<!ENTITY man-pages-time "1 minute">
+<!ENTITY man-pages-time "0.01 SBU">
Index: entities/modutils.ent
===================================================================
--- entities/modutils.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/modutils.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -17,3 +17,3 @@
 
 <!ENTITY modutils-compsize "3 MB">
-<!ENTITY modutils-time "1 minute">
+<!ENTITY modutils-time "0.13 SBU">
Index: entities/ncurses.ent
===================================================================
--- entities/ncurses.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/ncurses.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -21,3 +21,3 @@
 
 <!ENTITY ncurses-compsize "22 MB">
-<!ENTITY ncurses-time "6 minutes">
+<!ENTITY ncurses-time "1.88 SBU">
Index: entities/netkitbase.ent
===================================================================
--- entities/netkitbase.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/netkitbase.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -17,3 +17,3 @@
 
 <!ENTITY netkit-base-compsize "1 MB">
-<!ENTITY netkit-base-time "1 minute">
+<!ENTITY netkit-base-time "0.03 SBU">
Index: entities/nettools.ent
===================================================================
--- entities/nettools.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/nettools.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -18,3 +18,3 @@
 
 <!ENTITY net-tools-compsize "5 MB">
-<!ENTITY net-tools-time "1 minute">
+<!ENTITY net-tools-time "0.16 SBU">
Index: entities/patch.ent
===================================================================
--- entities/patch.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/patch.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -21,6 +21,6 @@
 
 <!ENTITY patch-compsize-static "3 MB">
-<!ENTITY patch-time-static "1 minute">
+<!ENTITY patch-time-static "0.10 SBU">
 
 <!ENTITY patch-compsize "2 MB">
-<!ENTITY patch-time "1 minute">
+<!ENTITY patch-time "0.10">
Index: entities/perl.ent
===================================================================
--- entities/perl.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/perl.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -18,3 +18,3 @@
 
 <!ENTITY perl-compsize "52 MB">
-<!ENTITY perl-time "6 minutes">
+<!ENTITY perl-time "3.81 SBU">
Index: entities/procinfo.ent
===================================================================
--- entities/procinfo.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/procinfo.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -18,3 +18,3 @@
 
 <!ENTITY procinfo-compsize "168 KB">
-<!ENTITY procinfo-time "1 minute">
+<!ENTITY procinfo-time "0.02 SBU">
Index: entities/procps.ent
===================================================================
--- entities/procps.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/procps.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -21,3 +21,3 @@
 
 <!ENTITY procps-compsize "2 MB">
-<!ENTITY procps-time "1 minute">
+<!ENTITY procps-time "0.14 SBU">
Index: entities/psmisc.ent
===================================================================
--- entities/psmisc.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/psmisc.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -18,3 +18,3 @@
 
 <!ENTITY psmisc-compsize "2 MB">
-<!ENTITY psmisc-time "1 minute">
+<!ENTITY psmisc-time "0.11 SBU">
Index: entities/sed.ent
===================================================================
--- entities/sed.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/sed.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -20,6 +20,6 @@
 
 <!ENTITY sed-compsize-static "3 MB">
-<!ENTITY sed-time-static "1 minute">
+<!ENTITY sed-time-static "0.09 SBU">
 
 <!ENTITY sed-compsize "2 MB">
-<!ENTITY sed-time "1 minute">
+<!ENTITY sed-time "0.09 SBU">
Index: entities/shadow.ent
===================================================================
--- entities/shadow.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/shadow.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -20,3 +20,3 @@
 
 <!ENTITY shadow-compsize "7 MB">
-<!ENTITY shadow-time "3 minutes">
+<!ENTITY shadow-time "0.88 SBU">
Index: entities/shellutils.ent
===================================================================
--- entities/shellutils.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/shellutils.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -27,6 +27,6 @@
 
 <!ENTITY sh-utils-compsize-static "58 MB">
-<!ENTITY sh-utils-time-static "2 minutes">
+<!ENTITY sh-utils-time-static "0.47 SBU">
 
 <!ENTITY sh-utils-compsize "12 MB">
-<!ENTITY sh-utils-time "2 minutes">
+<!ENTITY sh-utils-time "0.42 SBU">
Index: entities/sysklogd.ent
===================================================================
--- entities/sysklogd.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/sysklogd.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -20,3 +20,3 @@
 
 <!ENTITY sysklogd-compsize "472 KB">
-<!ENTITY sysklogd-time "1 minute">
+<!ENTITY sysklogd-time "0.03 SBU">
Index: entities/sysvinit.ent
===================================================================
--- entities/sysvinit.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/sysvinit.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -18,3 +18,3 @@
 
 <!ENTITY sysvinit-compsize "1 MB">
-<!ENTITY sysvinit-time "1 minute">
+<!ENTITY sysvinit-time "0.06 SBU">
Index: entities/tar.ent
===================================================================
--- entities/tar.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/tar.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -22,6 +22,6 @@
 
 <!ENTITY tar-compsize-static "9 MB">
-<!ENTITY tar-time-static "1 minute">
+<!ENTITY tar-time-static "0.25 SBU">
 
 <!ENTITY tar-compsize "6 MB">
-<!ENTITY tar-time "1 minute">
+<!ENTITY tar-time "0.26 SBU">
Index: entities/texinfo.ent
===================================================================
--- entities/texinfo.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/texinfo.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -21,6 +21,6 @@
 
 <!ENTITY texinfo-compsize-static "18 MB">
-<!ENTITY texinfo-time-static "1 minute">
+<!ENTITY texinfo-time-static "0.47 SBU">
 
 <!ENTITY texinfo-compsize "12 MB">
-<!ENTITY texinfo-time "1 minute">
+<!ENTITY texinfo-time "0.43 SBU">
Index: entities/textutils.ent
===================================================================
--- entities/textutils.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/textutils.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -20,6 +20,6 @@
 
 <!ENTITY textutils-compsize-static "54 MB">
-<!ENTITY textutils-time-static "2 minutes">
+<!ENTITY textutils-time-static "0.95 SBU">
 
 <!ENTITY textutils-compsize "17 MB">
-<!ENTITY textutils-time "1 minute">
+<!ENTITY textutils-time "0.83 SBU">
Index: entities/utillinux.ent
===================================================================
--- entities/utillinux.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/utillinux.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -21,6 +21,6 @@
 
 <!ENTITY util-linux-compsize-static "11 MB">
-<!ENTITY util-linux-time-static "1 minute">
+<!ENTITY util-linux-time-static "0.09 SBU">
 
 <!ENTITY util-linux-compsize "10 MB">
-<!ENTITY util-linux-time "1 minute">
+<!ENTITY util-linux-time "0.38 SBU">
Index: entities/vim.ent
===================================================================
--- entities/vim.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/vim.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -22,3 +22,3 @@
 
 <!ENTITY vim-compsize "24 MB">
-<!ENTITY vim-time "2 minutes">
+<!ENTITY vim-time "0.81 SBU">
Index: entities/zlib.ent
===================================================================
--- entities/zlib.ent	(revision d5b037fcac63292b578c183e3d815120067b2d12)
+++ entities/zlib.ent	(revision 0b74af37ec6c08b3def2538e7deb0c55d35d3793)
@@ -17,3 +17,3 @@
 
 <!ENTITY zlib-compsize "1 MB">
-<!ENTITY zlib-time "1 minute">
+<!ENTITY zlib-time "0.07 SBU">