Index: chapter05/introduction.xml
===================================================================
--- chapter05/introduction.xml	(revision d1ae0cbd46567c7f701d629613a4add250447d0d)
+++ chapter05/introduction.xml	(revision 3b45abbabbbbed622666efa72a51b6e6fbdd150f)
@@ -1,66 +1,70 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
 ]>
+
 <sect1 id="ch-tools-introduction">
-<title>Introduction</title>
-<?dbhtml filename="introduction.html"?>
+  <?dbhtml filename="introduction.html"?>
 
-<para>This chapter shows how to compile and install a minimal Linux
-system. This system will contain just enough tools to start
-constructing the final LFS system in <xref
-linkend="chapter-building-system"/> and allow a working environment
-with more user convenience than a minimum environment would.</para>
+  <title>Introduction</title>
 
-<para>There are two steps in building this minimal system. The first
-step is to build a new and host-independent toolchain (compiler,
-assembler, linker, libraries, and a few useful utilities).  The second
-step uses this toolchain to build the other essential tools.</para>
+  <para>This chapter shows how to compile and install a minimal Linux system.
+  This system will contain just enough tools to start constructing the final
+  LFS system in <xref linkend="chapter-building-system"/> and allow a working
+  environment with more user convenience than a minimum environment would.</para>
 
-<para>The files compiled in this chapter will be installed under the
-<filename class="directory">$LFS/tools</filename> directory to keep
-them separate from the files installed in the next chapter and the
-host production directories. Since the packages compiled here are
-temporary, we do not want them to pollute the soon-to-be LFS
-system.</para>
+  <para>There are two steps in building this minimal system. The first step
+  is to build a new and host-independent toolchain (compiler, assembler,
+  linker, libraries, and a few useful utilities).  The second step uses this
+  toolchain to build the other essential tools.</para>
 
-<important><para>Before issuing the build instructions for a package, the package
-should be unpacked as user <emphasis>lfs</emphasis>, and a
-<command>cd</command> into the created directory should be performed. The build
-instructions assume that the <command>bash</command> shell is in use.</para></important>
+  <para>The files compiled in this chapter will be installed under the
+  <filename class="directory">$LFS/tools</filename> directory to keep them
+  separate from the files installed in the next chapter and the host
+  production directories. Since the packages compiled here are temporary,
+  we do not want them to pollute the soon-to-be LFS system.</para>
 
-<para>Several of the packages are patched before compilation, but only
-when the patch is needed to circumvent a problem. A patch is often
-needed in both this and the next chapter, but sometimes in only one or
-the other. Therefore, do not be concerned if instructions for a downloaded
-patch seem to be missing. Warning messages about
-<emphasis>offset</emphasis> or <emphasis>fuzz</emphasis> may
-also be encountered when applying a patch. Do not worry about these
-warnings, as the patch was still successfully applied.</para>
+  <important>
+    <para>Before issuing the build instructions for a package, the package
+    should be unpacked as user <systemitem class="username">lfs</systemitem>,
+    and a <command>cd</command> into the created directory should be performed.
+    The build instructions assume that the <command>bash</command> shell is
+    in use.</para>
+  </important>
 
-<para>During the compilation of most packages, there will be several
-warnings that scroll by on the screen. These are normal and can safely
-be ignored. These warnings are as they appear&mdash;warnings about
-deprecated, but not invalid, use of the C or C++ syntax. C standards
-change fairly often, and some packages still use the older standard.
-This is not a problem, but does prompt the warning.</para>
+  <para>Several of the packages are patched before compilation, but only when
+  the patch is needed to circumvent a problem. A patch is often needed in both
+  this and the next chapter, but sometimes in only one or the other. Therefore,
+  do not be concerned if instructions for a downloaded patch seem to be missing.
+  Warning messages about <emphasis>offset</emphasis> or <emphasis>fuzz</emphasis>
+  may also be encountered when applying a patch. Do not worry about these
+  warnings, as the patch was still successfully applied.</para>
 
-<important><para>After installing each package, delete its source and build
-directories, unless specifically instructed otherwise. Deleting the
-sources prevents mis-configuration when the same package is reinstalled later.
-Only three of the packages need to retain the source and build directories in
-order for their contents to be used by later commands. Pay special attention to
-these reminders.</para></important>
+  <para>During the compilation of most packages, there will be several warnings
+  that scroll by on the screen. These are normal and can safely be ignored.
+  These warnings are as they appear&mdash;warnings about deprecated, but not
+  invalid, use of the C or C++ syntax. C standards change fairly often, and
+  some packages still use the older standard. This is not a problem, but does
+  prompt the warning.</para>
 
-<para>Check one last time that the <envar>LFS</envar> environment 
-variable is set up properly:</para>
+  <important>
+    <para>After installing each package, delete its source and build directories,
+    unless specifically instructed otherwise. Deleting the sources prevents
+    mis-configuration when the same package is reinstalled later. Only three
+    of the packages need to retain the source and build directories in order
+    for their contents to be used by later commands. Pay special attention to
+    these reminders.</para>
+  </important>
+
+  <para>Check one last time that the <envar>LFS</envar> environment
+  variable is set up properly:</para>
 
 <screen role="nodump"><userinput>echo $LFS</userinput></screen>
 
-<para>Make sure the output shows the path to the LFS partition's mount
-point, which is <filename class="directory">/mnt/lfs</filename>, using
-our example.</para>
+  <para>Make sure the output shows the path to the LFS partition's mount
+  point, which is <filename class="directory">/mnt/lfs</filename>, using
+  our example.</para>
 
 </sect1>
-
Index: chapter05/linux-libc-headers.xml
===================================================================
--- chapter05/linux-libc-headers.xml	(revision d1ae0cbd46567c7f701d629613a4add250447d0d)
+++ chapter05/linux-libc-headers.xml	(revision 3b45abbabbbbed622666efa72a51b6e6fbdd150f)
@@ -1,59 +1,71 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
 ]>
+
 <sect1 id="ch-tools-linux-libc-headers" role="wrap">
-<title>Linux-Libc-Headers-&linux-libc-headers-version;</title>
-<?dbhtml filename="linux-libc-headers.html"?>
+  <?dbhtml filename="linux-libc-headers.html"?>
 
-<indexterm zone="ch-tools-linux-libc-headers">
-<primary sortas="a-Linux-Libc-Headers">Linux-Libc-Headers</primary>
-<secondary>tools, headers</secondary></indexterm>
+  <title>Linux-Libc-Headers-&linux-libc-headers-version;</title>
 
-<sect2 role="package"><title/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-	href="../chapter06/linux-libc-headers.xml"
-	xpointer="xpointer(/sect1/sect2[1]/para[1])"/>
+  <indexterm zone="ch-tools-linux-libc-headers">
+    <primary sortas="a-Linux-Libc-Headers">Linux-Libc-Headers</primary>
+    <secondary>tools, headers</secondary>
+  </indexterm>
 
-<segmentedlist>
-<segtitle>&buildtime;</segtitle>
-<segtitle>&diskspace;</segtitle>
-<seglistitem><seg>0.1 SBU</seg><seg>26.9 MB</seg></seglistitem>
-</segmentedlist>
+  <sect2 role="package">
+    <title/>
 
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-	href="../chapter06/linux-libc-headers.xml"
-	xpointer="xpointer(/sect1/sect2[1]/segmentedlist[2])"/>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../chapter06/linux-libc-headers.xml"
+    xpointer="xpointer(/sect1/sect2[1]/para[1])"/>
+
+    <segmentedlist>
+      <segtitle>&buildtime;</segtitle>
+      <segtitle>&diskspace;</segtitle>
+
+      <seglistitem>
+        <seg>0.1 SBU</seg>
+        <seg>26.9 MB</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../chapter06/linux-libc-headers.xml"
+    xpointer="xpointer(/sect1/sect2[1]/segmentedlist[2])"/>
 
 
-</sect2>
+  </sect2>
 
-<sect2 role="installation">
-<title>Installation of Linux-Libc-Headers</title>
+  <sect2 role="installation">
+    <title>Installation of Linux-Libc-Headers</title>
 
-<para>For years it has been common practice to use <quote>raw</quote> kernel
-headers (straight from a kernel tarball) in <filename
-class="directory">/usr/include</filename>, but over the
-last few years, the kernel developers have taken a strong stance that
-this should not be done. This gave birth to the Linux-Libc-Headers
-Project, which was designed to maintain an Application Programming
-Interface (API) stable version of the Linux headers.</para>
+    <para>For years it has been common practice to use <quote>raw</quote>
+    kernel headers (straight from a kernel tarball) in <filename
+    class="directory">/usr/include</filename>, but over the last few years,
+    the kernel developers have taken a strong stance that this should not
+    be done. This gave birth to the Linux-Libc-Headers Project, which was
+    designed to maintain an Application Programming Interface (API) stable
+    version of the Linux headers.</para>
 
-<para>Install the header files:</para>
+    <para>Install the header files:</para>
 
 <screen><userinput>cp -Rv include/asm-i386 /tools/include/asm
 cp -Rv include/linux /tools/include</userinput></screen>
 
-<para>If your architecture is not i386 (compatible), adjust the first command
-accordingly.</para>
+    <para>If your architecture is not i386 (compatible), adjust the first command
+    accordingly.</para>
 
-</sect2>
+  </sect2>
 
-<sect2 role="content"><title/>
-<para>Details on this package are located in <xref
-linkend="contents-linux-libc-headers" role="."/></para>
-</sect2>
+  <sect2 role="content">
+    <title/>
+
+    <para>Details on this package are located in
+    <xref linkend="contents-linux-libc-headers" role="."/></para>
+
+  </sect2>
 
 </sect1>
-
Index: chapter05/m4.xml
===================================================================
--- chapter05/m4.xml	(revision d1ae0cbd46567c7f701d629613a4add250447d0d)
+++ chapter05/m4.xml	(revision 3b45abbabbbbed622666efa72a51b6e6fbdd150f)
@@ -1,52 +1,69 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
 ]>
+
 <sect1 id="ch-tools-m4" role="wrap">
-<title>M4-&m4-version;</title>
-<?dbhtml filename="m4.html"?>
+  <?dbhtml filename="m4.html"?>
 
-<indexterm zone="ch-tools-m4">
-<primary sortas="a-M4">M4</primary>
-<secondary>tools</secondary></indexterm>
+  <title>M4-&m4-version;</title>
 
-<sect2 role="package"><title/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="../chapter06/m4.xml" xpointer="xpointer(/sect1/sect2[1]/para[1])"/>
+  <indexterm zone="ch-tools-m4">
+    <primary sortas="a-M4">M4</primary>
+    <secondary>tools</secondary>
+  </indexterm>
 
-<segmentedlist>
-<segtitle>&buildtime;</segtitle>
-<segtitle>&diskspace;</segtitle>
-<seglistitem><seg>0.1 SBU</seg><seg>2.8 MB</seg></seglistitem>
-</segmentedlist>
+  <sect2 role="package">
+    <title/>
 
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="../chapter06/m4.xml" xpointer="xpointer(/sect1/sect2[1]/segmentedlist[2])"/>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../chapter06/m4.xml"
+    xpointer="xpointer(/sect1/sect2[1]/para[1])"/>
 
-</sect2>
+    <segmentedlist>
+      <segtitle>&buildtime;</segtitle>
+      <segtitle>&diskspace;</segtitle>
 
-<sect2 role="installation">
-<title>Installation of M4</title>
+      <seglistitem>
+        <seg>0.1 SBU</seg>
+        <seg>2.8 MB</seg>
+      </seglistitem>
+    </segmentedlist>
 
-<para>Prepare M4 for compilation:</para>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../chapter06/m4.xml"
+    xpointer="xpointer(/sect1/sect2[1]/segmentedlist[2])"/>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of M4</title>
+
+    <para>Prepare M4 for compilation:</para>
 
 <screen><userinput>./configure --prefix=/tools</userinput></screen>
 
-<para>Compile the package:</para>
+    <para>Compile the package:</para>
 
 <screen><userinput>make</userinput></screen>
 
-<para>To test the results, issue: <userinput>make check</userinput>.</para>
+    <para>To test the results, issue:
+    <userinput>make check</userinput>.</para>
 
-<para>Install the package:</para>
+    <para>Install the package:</para>
 
 <screen><userinput>make install</userinput></screen>
 
-</sect2>
+  </sect2>
 
-<sect2 role="content"><title/>
-<para>Details on this package are located in <xref
-linkend="contents-m4" role="."/></para>
-</sect2>
+  <sect2 role="content">
+    <title/>
+
+    <para>Details on this package are located in
+    <xref linkend="contents-m4" role="."/></para>
+
+  </sect2>
 
 </sect1>
-
Index: chapter05/make.xml
===================================================================
--- chapter05/make.xml	(revision d1ae0cbd46567c7f701d629613a4add250447d0d)
+++ chapter05/make.xml	(revision 3b45abbabbbbed622666efa72a51b6e6fbdd150f)
@@ -1,52 +1,68 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
 ]>
 <sect1 id="ch-tools-make" role="wrap">
-<title>Make-&make-version;</title>
-<?dbhtml filename="make.html"?>
+  <?dbhtml filename="make.html"?>
 
-<indexterm zone="ch-tools-make">
-<primary sortas="a-Make">Make</primary>
-<secondary>tools</secondary></indexterm>
+  <title>Make-&make-version;</title>
 
-<sect2 role="package"><title/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="../chapter06/make.xml" xpointer="xpointer(/sect1/sect2[1]/para[1])"/>
+  <indexterm zone="ch-tools-make">
+    <primary sortas="a-Make">Make</primary>
+    <secondary>tools</secondary>
+  </indexterm>
 
-<segmentedlist>
-<segtitle>&buildtime;</segtitle>
-<segtitle>&diskspace;</segtitle>
-<seglistitem><seg>0.2 SBU</seg><seg>7.1 MB</seg></seglistitem>
-</segmentedlist>
+  <sect2 role="package">
+    <title/>
 
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="../chapter06/make.xml" xpointer="xpointer(/sect1/sect2[1]/segmentedlist[2])"/>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../chapter06/make.xml"
+    xpointer="xpointer(/sect1/sect2[1]/para[1])"/>
 
-</sect2>
+    <segmentedlist>
+      <segtitle>&buildtime;</segtitle>
+      <segtitle>&diskspace;</segtitle>
 
-<sect2 role="installation">
-<title>Installation of Make</title>
+      <seglistitem>
+        <seg>0.2 SBU</seg>
+        <seg>7.1 MB</seg>
+      </seglistitem>
+    </segmentedlist>
 
-<para>Prepare Make for compilation:</para>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../chapter06/make.xml"
+    xpointer="xpointer(/sect1/sect2[1]/segmentedlist[2])"/>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Make</title>
+
+    <para>Prepare Make for compilation:</para>
 
 <screen><userinput>./configure --prefix=/tools</userinput></screen>
 
-<para>Compile the package:</para>
+    <para>Compile the package:</para>
 
 <screen><userinput>make</userinput></screen>
 
-<para>To test the results, issue: <userinput>make check</userinput>.</para>
+    <para>To test the results, issue:
+    <userinput>make check</userinput>.</para>
 
-<para>Install the package:</para>
+    <para>Install the package:</para>
 
 <screen><userinput>make install</userinput></screen>
 
-</sect2>
+  </sect2>
 
-<sect2 role="content"><title/>
-<para>Details on this package are located in <xref
-linkend="contents-make" role="."/></para>
-</sect2>
+  <sect2 role="content">
+    <title/>
+
+    <para>Details on this package are located in
+    <xref linkend="contents-make" role="."/></para>
+
+  </sect2>
 
 </sect1>
-
Index: chapter05/ncurses.xml
===================================================================
--- chapter05/ncurses.xml	(revision d1ae0cbd46567c7f701d629613a4add250447d0d)
+++ chapter05/ncurses.xml	(revision 3b45abbabbbbed622666efa72a51b6e6fbdd150f)
@@ -1,73 +1,94 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
 ]>
+
 <sect1 id="ch-tools-ncurses" role="wrap">
-<title>Ncurses-&ncurses-version;</title>
-<?dbhtml filename="ncurses.html"?>
+  <?dbhtml filename="ncurses.html"?>
 
-<indexterm zone="ch-tools-ncurses">
-<primary sortas="a-Ncurses">Ncurses</primary>
-<secondary>tools</secondary></indexterm>
+  <title>Ncurses-&ncurses-version;</title>
 
-<sect2 role="package"><title/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="../chapter06/ncurses.xml" xpointer="xpointer(/sect1/sect2[1]/para[1])"/>
+  <indexterm zone="ch-tools-ncurses">
+    <primary sortas="a-Ncurses">Ncurses</primary>
+    <secondary>tools</secondary>
+  </indexterm>
 
-<segmentedlist>
-<segtitle>&buildtime;</segtitle>
-<segtitle>&diskspace;</segtitle>
-<seglistitem><seg>0.7 SBU</seg><seg>27.5 MB</seg></seglistitem>
-</segmentedlist>
+  <sect2 role="package">
+    <title/>
 
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="../chapter06/ncurses.xml" xpointer="xpointer(/sect1/sect2[1]/segmentedlist[2])"/>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../chapter06/ncurses.xml"
+    xpointer="xpointer(/sect1/sect2[1]/para[1])"/>
 
-</sect2>
+    <segmentedlist>
+      <segtitle>&buildtime;</segtitle>
+      <segtitle>&diskspace;</segtitle>
 
-<sect2 role="installation">
-<title>Installation of Ncurses</title>
+      <seglistitem>
+      <seg>0.7 SBU</seg>
+      <seg>27.5 MB</seg>
+      </seglistitem>
+    </segmentedlist>
 
-<para>Prepare Ncurses for compilation:</para>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../chapter06/ncurses.xml"
+    xpointer="xpointer(/sect1/sect2[1]/segmentedlist[2])"/>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Ncurses</title>
+
+    <para>Prepare Ncurses for compilation:</para>
 
 <screen><userinput>./configure --prefix=/tools --with-shared \
     --without-debug --without-ada --enable-overwrite</userinput></screen>
 
-<para>The meaning of the configure options:</para>
+    <variablelist>
+      <title>The meaning of the configure options:</title>
 
-<variablelist>
-<varlistentry>
-<term><parameter>--without-ada</parameter></term>
-<listitem><para>This ensures that Ncurses does not build support for the Ada
-compiler which may be present on the host but will not be available once we
-enter the <command>chroot</command> environment.</para></listitem>
-</varlistentry>
+      <varlistentry>
+        <term><parameter>--without-ada</parameter></term>
+        <listitem>
+          <para>This ensures that Ncurses does not build support for the Ada
+          compiler which may be present on the host but will not be available
+          once we enter the <command>chroot</command> environment.</para>
+        </listitem>
+      </varlistentry>
 
-<varlistentry>
-<term><parameter>--enable-overwrite</parameter></term>
-<listitem><para>This tells Ncurses to install its header files into
-<filename class="directory">/tools/include</filename>, instead of
-<filename class="directory">/tools/include/ncurses</filename>, to
-ensure that other packages can find the Ncurses headers
-successfully.</para></listitem>
-</varlistentry>
-</variablelist>
+      <varlistentry>
+        <term><parameter>--enable-overwrite</parameter></term>
+        <listitem>
+          <para>This tells Ncurses to install its header files into
+          <filename class="directory">/tools/include</filename>, instead of
+          <filename class="directory">/tools/include/ncurses</filename>, to
+          ensure that other packages can find the Ncurses headers
+          successfully.</para>
+        </listitem>
+      </varlistentry>
 
-<para>Compile the package:</para>
+    </variablelist>
+
+    <para>Compile the package:</para>
 
 <screen><userinput>make</userinput></screen>
 
-<para>This package does not come with a test suite.</para>
+    <para>This package does not come with a test suite.</para>
 
-<para>Install the package:</para>
+    <para>Install the package:</para>
 
 <screen><userinput>make install</userinput></screen>
 
-</sect2>
+  </sect2>
 
-<sect2 role="content"><title/>
-<para>Details on this package are located in <xref
-linkend="contents-ncurses" role="."/></para>
-</sect2>
+  <sect2 role="content">
+    <title/>
+
+    <para>Details on this package are located in
+    <xref linkend="contents-ncurses" role="."/></para>
+
+  </sect2>
 
 </sect1>
-
Index: chapter05/patch.xml
===================================================================
--- chapter05/patch.xml	(revision d1ae0cbd46567c7f701d629613a4add250447d0d)
+++ chapter05/patch.xml	(revision 3b45abbabbbbed622666efa72a51b6e6fbdd150f)
@@ -1,56 +1,72 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
 ]>
+
 <sect1 id="ch-tools-patch" role="wrap">
-<title>Patch-&patch-version;</title>
-<?dbhtml filename="patch.html"?>
+  <?dbhtml filename="patch.html"?>
 
-<indexterm zone="ch-tools-patch">
-<primary sortas="a-Patch">Patch</primary>
-<secondary>tools</secondary></indexterm>
+  <title>Patch-&patch-version;</title>
 
-<sect2 role="package"><title/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="../chapter06/patch.xml" xpointer="xpointer(/sect1/sect2[1]/para[1])"/>
+  <indexterm zone="ch-tools-patch">
+    <primary sortas="a-Patch">Patch</primary>
+    <secondary>tools</secondary>
+  </indexterm>
 
-<segmentedlist>
-<segtitle>&buildtime;</segtitle>
-<segtitle>&diskspace;</segtitle>
-<seglistitem><seg>0.1 SBU</seg><seg>1.5 MB</seg></seglistitem>
-</segmentedlist>
+  <sect2 role="package">
+    <title/>
 
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="../chapter06/patch.xml" xpointer="xpointer(/sect1/sect2[1]/segmentedlist[2])"/>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../chapter06/patch.xml"
+    xpointer="xpointer(/sect1/sect2[1]/para[1])"/>
 
-</sect2>
+    <segmentedlist>
+      <segtitle>&buildtime;</segtitle>
+      <segtitle>&diskspace;</segtitle>
 
-<sect2 role="installation">
-<title>Installation of Patch</title>
+      <seglistitem>
+        <seg>0.1 SBU</seg>
+        <seg>1.5 MB</seg>
+      </seglistitem>
+    </segmentedlist>
 
-<para>Prepare Patch for compilation:</para>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../chapter06/patch.xml"
+    xpointer="xpointer(/sect1/sect2[1]/segmentedlist[2])"/>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Patch</title>
+
+    <para>Prepare Patch for compilation:</para>
 
 <screen><userinput>CPPFLAGS=-D_GNU_SOURCE ./configure --prefix=/tools</userinput></screen>
 
-<para>The preprocessor flag <parameter>-D_GNU_SOURCE</parameter> is
-only needed on the PowerPC platform. It can be left out on other
-architectures.</para>
+    <para>The preprocessor flag <parameter>-D_GNU_SOURCE</parameter> is
+    only needed on the PowerPC platform. It can be left out on other
+    architectures.</para>
 
-<para>Compile the package:</para>
+    <para>Compile the package:</para>
 
 <screen><userinput>make</userinput></screen>
 
-<para>This package does not come with a test suite.</para>
+    <para>This package does not come with a test suite.</para>
 
-<para>Install the package:</para>
+    <para>Install the package:</para>
 
 <screen><userinput>make install</userinput></screen>
 
-</sect2>
+  </sect2>
 
-<sect2 role="content"><title/>
-<para>Details on this package are located in <xref
-linkend="contents-patch" role="."/></para>
-</sect2>
+  <sect2 role="content">
+    <title/>
+
+    <para>Details on this package are located in
+    <xref linkend="contents-patch" role="."/></para>
+
+  </sect2>
 
 </sect1>
-
Index: chapter05/perl.xml
===================================================================
--- chapter05/perl.xml	(revision d1ae0cbd46567c7f701d629613a4add250447d0d)
+++ chapter05/perl.xml	(revision 3b45abbabbbbed622666efa72a51b6e6fbdd150f)
@@ -1,65 +1,82 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
+  "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
 ]>
+
 <sect1 id="ch-tools-perl" role="wrap">
-<title>Perl-&perl-version;</title>
-<?dbhtml filename="perl.html"?>
+  <?dbhtml filename="perl.html"?>
 
-<indexterm zone="ch-tools-perl">
-<primary sortas="a-Perl">Perl</primary>
-<secondary>tools</secondary></indexterm>
+  <title>Perl-&perl-version;</title>
 
-<sect2 role="package"><title/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="../chapter06/perl.xml" xpointer="xpointer(/sect1/sect2[1]/para[1])"/>
+  <indexterm zone="ch-tools-perl">
+    <primary sortas="a-Perl">Perl</primary>
+    <secondary>tools</secondary>
+  </indexterm>
 
-<segmentedlist>
-<segtitle>&buildtime;</segtitle>
-<segtitle>&diskspace;</segtitle>
-<seglistitem><seg>0.8 SBU</seg><seg>79.8 MB</seg></seglistitem>
-</segmentedlist>
+  <sect2 role="package">
+    <title/>
 
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="../chapter06/perl.xml" xpointer="xpointer(/sect1/sect2[1]/segmentedlist[2])"/>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../chapter06/perl.xml"
+    xpointer="xpointer(/sect1/sect2[1]/para[1])"/>
 
-</sect2>
+    <segmentedlist>
+      <segtitle>&buildtime;</segtitle>
+      <segtitle>&diskspace;</segtitle>
 
-<sect2 role="installation">
-<title>Installation of Perl</title>
+      <seglistitem>
+        <seg>0.8 SBU</seg>
+        <seg>79.8 MB</seg>
+      </seglistitem>
+    </segmentedlist>
 
-<para>First adapt some hard-wired paths to the C library by applying
-the following patch:</para>
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../chapter06/perl.xml"
+    xpointer="xpointer(/sect1/sect2[1]/segmentedlist[2])"/>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Perl</title>
+
+    <para>First adapt some hard-wired paths to the C library by applying
+    the following patch:</para>
 
 <screen><userinput>patch -Np1 -i ../&perl-libc-patch;</userinput></screen>
 
-<para>Prepare Perl for compilation (make sure to get the
-'Data/Dumper Fcntl IO POSIX' part of the command correct&mdash;they are all
-letters):</para>
+    <para>Prepare Perl for compilation (make sure to get the
+    'Data/Dumper Fcntl IO POSIX' part of the command correct&mdash;they are all
+    letters):</para>
 
 <screen><userinput>./configure.gnu --prefix=/tools -Dstatic_ext='Data/Dumper Fcntl IO POSIX'</userinput></screen>
 
-<para>The meaning of the configure options:</para>
+    <variablelist>
+      <title>The meaning of the configure options:</title>
 
-<variablelist>
-<varlistentry>
-<term><parameter>-Dstatic_ext='Data/Dumper Fcntl IO POSIX'</parameter></term>
-<listitem><para>This tells Perl to build the minimum set of static
-extensions needed for installing and testing the Coreutils package in
-the next chapter.</para></listitem>
-</varlistentry>
-</variablelist>
+      <varlistentry>
+        <term><parameter>-Dstatic_ext='Data/Dumper Fcntl IO POSIX'</parameter></term>
+        <listitem>
+          <para>This tells Perl to build the minimum set of static extensions
+          needed for installing and testing the Coreutils package in the next
+          chapter.</para>
+        </listitem>
+      </varlistentry>
 
-<para>Only a few of the utilities contained in this package need to be
-built:</para>
+    </variablelist>
+
+    <para>Only a few of the utilities contained in this package need to be
+    built:</para>
 
 <screen><userinput>make perl utilities</userinput></screen>
 
-<para>Although Perl comes with a test suite, it is not recommended to
-run it at this point. Only part of Perl was built and running
-<userinput>make test</userinput> now will cause the rest of Perl to be
-built as well, which is unnecessary at this point. The test suite can
-be run in the next chapter if desired.</para>
+    <para>Although Perl comes with a test suite, it is not recommended to
+    run it at this point. Only part of Perl was built and running
+    <userinput>make test</userinput> now will cause the rest of Perl to be
+    built as well, which is unnecessary at this point. The test suite can
+    be run in the next chapter if desired.</para>
 
-<para>Install these tools and their libraries:</para>
+    <para>Install these tools and their libraries:</para>
 
 <screen><userinput>cp -v perl pod/pod2man /tools/bin
@@ -67,11 +84,13 @@
 cp -Rv lib/* /tools/lib/perl5/&perl-version;</userinput></screen>
 
-</sect2>
+  </sect2>
 
-<sect2 role="content"><title/>
-<para>Details on this package are located in <xref
-linkend="contents-perl" role="."/></para>
-</sect2>
+  <sect2 role="content">
+    <title/>
+
+    <para>Details on this package are located in
+    <xref linkend="contents-perl" role="."/></para>
+
+  </sect2>
 
 </sect1>
-
Index: general.ent
===================================================================
--- general.ent	(revision d1ae0cbd46567c7f701d629613a4add250447d0d)
+++ general.ent	(revision 3b45abbabbbbed622666efa72a51b6e6fbdd150f)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!ENTITY version "ALPHABETICAL-20060120">
-<!ENTITY releasedate "January 20, 2006">
+<!ENTITY version "ALPHABETICAL-20060122">
+<!ENTITY releasedate "January 22, 2006">
 <!ENTITY milestone "6.2">
 <!ENTITY generic-version "development"> <!-- Use "development", "testing", or "x.y[-pre{x}]" -->