Index: bootscripts/ChangeLog
===================================================================
--- bootscripts/ChangeLog	(revision 3b3d052c633e9b69468899f5400eed07af052742)
+++ bootscripts/ChangeLog	(revision 4e579ca26b5a70b7add2c42cbeecdc00e71c2ab3)
@@ -1,2 +1,5 @@
+2020-10-02 DJ Lucas <dj@linuxfromscratch.org>
+   * make $local_fs a Should-Stop dependency of swap to allow clean install
+
 2020-08-02 Bruce Dubbs <bdubbs@linuxfromscratch.org>
    * Fix a minor display problem in checkfs
Index: bootscripts/lfs/init.d/swap
===================================================================
--- bootscripts/lfs/init.d/swap	(revision 3b3d052c633e9b69468899f5400eed07af052742)
+++ bootscripts/lfs/init.d/swap	(revision 4e579ca26b5a70b7add2c42cbeecdc00e71c2ab3)
@@ -17,6 +17,6 @@
 # Required-Start:      udev
 # Should-Start:        modules
-# Required-Stop:       localnet $local_fs
-# Should-Stop:
+# Required-Stop:       localnet
+# Should-Stop:         $local_fs
 # Default-Start:       S
 # Default-Stop:        0 6
Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 3b3d052c633e9b69468899f5400eed07af052742)
+++ chapter01/changelog.xml	(revision 4e579ca26b5a70b7add2c42cbeecdc00e71c2ab3)
@@ -48,4 +48,139 @@
     <listitem>
       <itemizedlist>
+      <para>2020-11-01</para>
+        <listitem>
+          <para>[bdubbs] - Update to elfutils-0.182. Fixes
+          <ulink url="&lfs-ticket-root;4748">#4748</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to meson-0.56.0. Fixes
+          <ulink url="&lfs-ticket-root;4747">#4747</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.9.2. Fixes
+          <ulink url="&lfs-ticket-root;4746">#4746</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to mpc-1.2.1. Fixes
+          <ulink url="&lfs-ticket-root;4744">#4744</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to less-563. Fixes
+          <ulink url="&lfs-ticket-root;4743">#4743</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to tzdata-2020d. Fixes
+          <ulink url="&lfs-ticket-root;4742">#4742</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem revision="sysv">
+      <itemizedlist>
+      <para>2020-10-19</para>
+        <listitem>
+          <para>[dj] - Update to lfs-bootscripts-20201019.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <itemizedlist>
+      <para>2020-10-20</para>
+        <listitem>
+          <para>[bdubbs] - Update to iproute2-5.9.0. Fixes
+          <ulink url="&lfs-ticket-root;4739">#4739</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to tzdata-2020c. Fixes
+          <ulink url="&lfs-ticket-root;4741">#4741</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.9.1. Fixes
+          <ulink url="&lfs-ticket-root;4740">#4740</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <itemizedlist>
+      <para>2020-10-15</para>
+        <listitem>
+          <para>[bdubbs] - Update to iana-etc-20201012. Addresses
+          <ulink url="&lfs-ticket-root;4722">#4722</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to vim-8.2.1845. Addresses
+          <ulink url="&lfs-ticket-root;4500">#4500</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bison-3.7.3. Fixes
+          <ulink url="&lfs-ticket-root;4738">#4738</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to tzdata-2020b. Fixes
+          <ulink url="&lfs-ticket-root;4737">#4737</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libcap-2.44. Fixes
+          <ulink url="&lfs-ticket-root;4735">#4735</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to Python-3.9. Fixes
+          <ulink url="&lfs-ticket-root;4736">#4736</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to expat-2.2.10. Fixes
+          <ulink url="&lfs-ticket-root;4734">#4734</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bc-3.1.6. Fixes
+          <ulink url="&lfs-ticket-root;4732">#4732</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.9. Fixes
+          <ulink url="&lfs-ticket-root;4733">#4733</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <itemizedlist>
+      <para>2020-10-01</para>
+        <listitem>
+          <para>[bdubbs] - Update to grep-3.5. Fixes
+          <ulink url="&lfs-ticket-root;4731">#4731</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to Python-3.8.6. Fixes
+          <ulink url="&lfs-ticket-root;4730">#4730</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to openssl-1.1.1h. Fixes
+          <ulink url="&lfs-ticket-root;4729">#4729</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to binutils-2.35.1. Fixes
+          <ulink url="&lfs-ticket-root;4728">#4728</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.8.12. Fixes
+          <ulink url="&lfs-ticket-root;4727">#4727</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <itemizedlist>
+      <para>2020-09-27</para>
+        <listitem>
+           <para>[bdubbs] - Add autoconf-2.69-consolidated_fixes-1.patch
+           which allows autoconf tests to pass.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <itemizedlist>
       <para>2020-09-15</para>
         <listitem>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 3b3d052c633e9b69468899f5400eed07af052742)
+++ chapter01/whatsnew.xml	(revision 4e579ca26b5a70b7add2c42cbeecdc00e71c2ab3)
@@ -46,10 +46,10 @@
       <para>Bash &bash-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Bc &bc-version;</para>
-    </listitem>-->
-    <!--<listitem>
+    </listitem>
+    <listitem>
       <para>Binutils-&binutils-version;</para>
-    </listitem>-->
+    </listitem>
     <listitem>
       <para>Bison-&bison-version;</para>
@@ -79,7 +79,7 @@
        <para>Eudev-&eudev-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
        <para>Expat-&expat-version;</para>
-    </listitem>-->
+    </listitem>
     <!-- <listitem>
        <para>Expect-&expect-version;</para>
@@ -115,7 +115,7 @@
       <para>Gperf-&gperf-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Grep-&grep-version;</para>
-    </lititem>-->
+    </listitem>
     <!--<listitem>
       <para>Groff-&groff-version;</para>
@@ -127,7 +127,7 @@
       <para>Gzip-&gzip-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>IANA-Etc-&iana-etc-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Inetutils-&inetutils-version;</para>
@@ -136,7 +136,7 @@
       <para>Intltool-&intltool-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>IPRoute2-&iproute2-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Kbd-&kbd-version;</para>
@@ -145,7 +145,7 @@
       <para>Kmod-&kmod-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Less-&less-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>LFS-Bootscripts-&lfs-bootscripts-version;</para>
@@ -196,7 +196,7 @@
       <para>Ninja-&ninja-version;</para>
     </listitem>
-    <!--<listitem>
+    <listitem>
       <para>Openssl-&openssl-version;</para>
-    </listitem>-->
+    </listitem>
     <!-- <listitem>
       <para>Patch-&patch-version;</para>
@@ -214,7 +214,7 @@
       <para>Psmisc-&psmisc-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Python-&python-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Readline-&readline-version;</para>
@@ -244,13 +244,13 @@
       <para>Texinfo-&texinfo-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Tzdata-&tzdata-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Util-Linux-&util-linux-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Vim-&vim-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>XML-Parser-&xml-parser-version;</para>
@@ -279,4 +279,8 @@
     <title>Added:</title>
     <listitem><para></para></listitem>  <!-- satisfy build -->
+    <listitem>
+      <para>autoconf-2.69-consolidated_fixes-1.patch</para>
+    </listitem>
+
 
   </itemizedlist>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision 3b3d052c633e9b69468899f5400eed07af052742)
+++ chapter03/patches.xml	(revision 4e579ca26b5a70b7add2c42cbeecdc00e71c2ab3)
@@ -18,4 +18,12 @@
 
   <variablelist role="materials">
+
+    <varlistentry>
+      <term>Autoconf Consolidated Fixes Patch - <token>&autoconf-fixes-patch-size;</token>:</term>
+      <listitem>
+        <para>Download: <ulink url="&patches-root;&autoconf-fixes-patch;"/></para>
+        <para>MD5 sum: <literal>&autoconf-fixes-patch-md5;</literal></para>
+      </listitem>
+    </varlistentry>
 
     <varlistentry>
Index: chapter08/autoconf.xml
===================================================================
--- chapter08/autoconf.xml	(revision 3b3d052c633e9b69468899f5400eed07af052742)
+++ chapter08/autoconf.xml	(revision 4e579ca26b5a70b7add2c42cbeecdc00e71c2ab3)
@@ -42,7 +42,8 @@
     <title>Installation of Autoconf</title>
 
-    <para>First, fix a bug generated by Perl 5.28.</para>
+    <para>First, apply a patch fixes several problems that occur with the latest
+    perl, libtool, and bash versions.</para>
 
-<screen><userinput remap="pre">sed -i '361 s/{/\\{/' bin/autoscan.in</userinput></screen>
+<screen><userinput remap="pre">patch -Np1 -i ../&autoconf-fixes-patch;</userinput></screen>
 
     <para>Prepare Autoconf for compilation:</para>
@@ -53,9 +54,10 @@
 
 <screen><userinput remap="make">make</userinput></screen>
+
+    <para>To test the results, issue:</para>
 <!--
-    <para>To test the results, issue:</para>-->
     <para>The test suite is currently broken by bash-5 and libtool-2.4.3.
     To run the tests anyway, issue:</para>
-
+ -->
 <screen><userinput remap="test">make check</userinput></screen>
 <!--
Index: chapter08/glibc.xml
===================================================================
--- chapter08/glibc.xml	(revision 3b3d052c633e9b69468899f5400eed07af052742)
+++ chapter08/glibc.xml	(revision 4e579ca26b5a70b7add2c42cbeecdc00e71c2ab3)
@@ -339,5 +339,5 @@
 
 for tz in etcetera southamerica northamerica europe africa antarctica  \
-          asia australasia backward pacificnew systemv; do
+          asia australasia backward; do
     zic -L /dev/null   -d $ZONEINFO       ${tz}
     zic -L /dev/null   -d $ZONEINFO/posix ${tz}
Index: chapter08/libelf.xml
===================================================================
--- chapter08/libelf.xml	(revision 3b3d052c633e9b69468899f5400eed07af052742)
+++ chapter08/libelf.xml	(revision 4e579ca26b5a70b7add2c42cbeecdc00e71c2ab3)
@@ -87,5 +87,6 @@
     --libdir=&usr-lib-m32;     \
     --host=i686-pc-linux-gnu \
-    --disable-debuginfod</userinput></screen>
+    --disable-debuginfod     \
+    --enable-libdebuginfod=dummy</userinput></screen>
 
     <para>Compile the package:</para>
@@ -119,5 +120,6 @@
     --libdir=&usr-lib-m32;           \
     --host=x86_64-pc-linux-gnux32 \
-    --disable-debuginfod</userinput></screen>
+    --disable-debuginfod          \
+    --enable-libdebuginfod=dummy</userinput></screen>
 
     <para>Compile the package:</para>
Index: chapter08/python.xml
===================================================================
--- chapter08/python.xml	(revision 3b3d052c633e9b69468899f5400eed07af052742)
+++ chapter08/python.xml	(revision 4e579ca26b5a70b7add2c42cbeecdc00e71c2ab3)
@@ -84,7 +84,10 @@
 <screen><userinput remap="make">make</userinput></screen>
 
-    <para>To test the results, issue <command>make test</command>.
-    Some tests requiring a network connection or additional packages are
-    skipped.  The test named test_normalization fails because network
+    <para>To test the results, issue:</para> 
+
+<screen><userinput remap="test">make test</userinput></screen>
+
+    <para>Some tests requiring a network connection or additional packages are
+    skipped.  The test named test_unicodedata fails because network
     configuration is not completed yet.  For more comprehensive results,
     the test can be rerun when Python 3 is reinstalled in BLFS.</para>
Index: general.ent
===================================================================
--- general.ent	(revision 3b3d052c633e9b69468899f5400eed07af052742)
+++ general.ent	(revision 4e579ca26b5a70b7add2c42cbeecdc00e71c2ab3)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20200915">
+<!ENTITY version         "SVN-20201101">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20200915-systemd">
+<!ENTITY versiond        "20201101-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "September 15th, 2020">
+<!ENTITY releasedate     "November 1st, 2020">
 
 <!ENTITY copyrightdate   "1999-2020"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision 3b3d052c633e9b69468899f5400eed07af052742)
+++ packages.ent	(revision 4e579ca26b5a70b7add2c42cbeecdc00e71c2ab3)
@@ -58,16 +58,16 @@
 <!ENTITY bash-fin-sbu "2.4 SBU">
 
-<!ENTITY bc-version "3.1.5">
+<!ENTITY bc-version "3.1.6">
 <!ENTITY bc-size "207 KB">
 <!ENTITY bc-url "https://github.com/gavinhoward/bc/releases/download/&bc-version;/bc-&bc-version;.tar.xz">
-<!ENTITY bc-md5 "bd6a6693f68c2ac5963127f82507716f">
+<!ENTITY bc-md5 "bd5e3922d95098ef3dcbddf3f93321fb">
 <!ENTITY bc-home "https://git.yzena.com/gavin/bc">
 <!ENTITY bc-fin-du "6.5 MB">
 <!ENTITY bc-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY binutils-version "2.35">
-<!ENTITY binutils-size "21,526 KB">
+<!ENTITY binutils-version "2.35.1">
+<!ENTITY binutils-size "21,516 KB">
 <!ENTITY binutils-url "&gnu;binutils/binutils-&binutils-version;.tar.xz">
-<!ENTITY binutils-md5 "fc8d55e2f6096de8ff8171173b6f5087">
+<!ENTITY binutils-md5 "7126f370ffbd46c08fcc5ce7aee2805d">
 <!ENTITY binutils-home "&gnu-software;binutils/">
 <!ENTITY binutils-tmpp1-du "617 MB">
@@ -78,8 +78,8 @@
 <!ENTITY binutils-fin-sbu "6.5 SBU">
 
-<!ENTITY bison-version "3.7.2">
-<!ENTITY bison-size "2,553 KB">
+<!ENTITY bison-version "3.7.3">
+<!ENTITY bison-size "2,552 KB">
 <!ENTITY bison-url "&gnu;bison/bison-&bison-version;.tar.xz">
-<!ENTITY bison-md5 "bbb9c4a694a5b868ab3f3dffd25cc300">
+<!ENTITY bison-md5 "8572478281d2eb5946c3a66d4086bd32">
 <!ENTITY bison-home "&gnu-software;bison/">
 <!ENTITY bison-tmp-du "52 MB">
@@ -148,8 +148,8 @@
 <!ENTITY e2fsprogs-fin-sbu "4.4 SBU on a spinning disk, 1.7 SBU on an SSD">
 
-<!ENTITY elfutils-version "0.181">
-<!ENTITY elfutils-size "8,876 KB">
+<!ENTITY elfutils-version "0.182">
+<!ENTITY elfutils-size "8,884 KB">
 <!ENTITY elfutils-url "https://sourceware.org/ftp/elfutils/&elfutils-version;/elfutils-&elfutils-version;.tar.bz2">
-<!ENTITY elfutils-md5 "773921f368bde876bb9ea14675c99abc">
+<!ENTITY elfutils-md5 "ebd95e1858280095fd60d0f765d50fef">
 <!ENTITY elfutils-home "https://sourceware.org/ftp/elfutils/">
 <!ENTITY elfutils-fin-du "122 MB">
@@ -163,8 +163,8 @@
 <!ENTITY eudev-fin-sbu "0.2 SBU">
 
-<!ENTITY expat-version "2.2.9">
-<!ENTITY expat-size "413 KB">
+<!ENTITY expat-version "2.2.10">
+<!ENTITY expat-size "416 KB">
 <!ENTITY expat-url "&sourceforge;expat/expat-&expat-version;.tar.xz">
-<!ENTITY expat-md5 "d2384fa607223447e713e1b9bd272376">
+<!ENTITY expat-md5 "e0fe49a6b3480827c9455e4cfc799133">
 <!ENTITY expat-home "https://libexpat.github.io/">
 <!ENTITY expat-fin-du "14 MB">
@@ -284,8 +284,8 @@
 <!ENTITY gperf-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY grep-version "3.4">
-<!ENTITY grep-size "1,520 KB">
+<!ENTITY grep-version "3.5">
+<!ENTITY grep-size "1,550 KB">
 <!ENTITY grep-url "&gnu;grep/grep-&grep-version;.tar.xz">
-<!ENTITY grep-md5 "111b117d22d6a7d049d6ae7505e9c4d2">
+<!ENTITY grep-md5 "76c59a77281685b3f9e1417411189ce9">
 <!ENTITY grep-home "&gnu-software;grep/">
 <!ENTITY grep-tmp-du "26 MB">
@@ -320,8 +320,8 @@
 <!ENTITY gzip-fin-sbu "0.1 SBU">
 
-<!ENTITY iana-etc-version "20200821">
-<!ENTITY iana-etc-size "576 KB">
+<!ENTITY iana-etc-version "20201012">
+<!ENTITY iana-etc-size "577 KB">
 <!ENTITY iana-etc-url "https://github.com/Mic92/iana-etc/releases/download/&iana-etc-version;/iana-etc-&iana-etc-version;.tar.gz">
-<!ENTITY iana-etc-md5 "ff19c45f5ac800f5d77c680d9b757fbc">
+<!ENTITY iana-etc-md5 "c9b3719c964ea5d265f216dd00251d76">
 <!ENTITY iana-etc-home "https://www.iana.org/protocols">
 <!ENTITY iana-etc-fin-du "4.7 MB">
@@ -344,8 +344,8 @@
 <!ENTITY intltool-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY iproute2-version "5.8.0">
-<!ENTITY iproute2-size "763 KB">
+<!ENTITY iproute2-version "5.9.0">
+<!ENTITY iproute2-size "769 KB">
 <!ENTITY iproute2-url "&kernel;linux/utils/net/iproute2/iproute2-&iproute2-version;.tar.xz">
-<!ENTITY iproute2-md5 "e2016acc07d91b2508916c459a8435af">
+<!ENTITY iproute2-md5 "3966f12374e1beb70f1c21f30a350673">
 <!ENTITY iproute2-home "&kernel;linux/utils/net/iproute2/">
 <!ENTITY iproute2-fin-du "14 MB">
@@ -376,13 +376,13 @@
 <!ENTITY kmod-fin-sbu "0.1 SBU">
 
-<!ENTITY less-version "551">
-<!ENTITY less-size "339 KB">
+<!ENTITY less-version "563">
+<!ENTITY less-size "328 KB">
 <!ENTITY less-url "http://www.greenwoodsoftware.com/less/less-&less-version;.tar.gz">
-<!ENTITY less-md5 "4ad4408b06d7a6626a055cb453f36819">
+<!ENTITY less-md5 "1ee44fa71447a845f6eef5b3f38d2781">
 <!ENTITY less-home "http://www.greenwoodsoftware.com/less/">
 <!ENTITY less-fin-du "4.1 MB">
 <!ENTITY less-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY lfs-bootscripts-version "20200818">      <!-- Scripts depend on this format -->
+<!ENTITY lfs-bootscripts-version "20201019">      <!-- Scripts depend on this format -->
 <!ENTITY lfs-bootscripts-size "BOOTSCRIPTS-SIZE KB">        
 <!ENTITY lfs-bootscripts-url "&downloads-root;lfs-bootscripts-&lfs-bootscripts-version;.tar.xz">
@@ -392,8 +392,8 @@
 <!ENTITY lfs-bootscripts-cfg-sbu "less than 0.1 SBU">
 
-<!ENTITY libcap-version "2.43">
+<!ENTITY libcap-version "2.44">
 <!ENTITY libcap-size "123 KB">
 <!ENTITY libcap-url "&kernel;linux/libs/security/linux-privs/libcap2/libcap-&libcap-version;.tar.xz">
-<!ENTITY libcap-md5 "28f65c74c7ea797f70d3627d0bf1b342">
+<!ENTITY libcap-md5 "46ab71759e17a07efa920692ac2f714d">
 <!ENTITY libcap-home "https://sites.google.com/site/fullycapable/">
 <!ENTITY libcap-fin-du "11 MB">
@@ -425,11 +425,11 @@
 
 <!ENTITY linux-major-version "5">
-<!ENTITY linux-minor-version "8">
-<!ENTITY linux-patch-version "9">
+<!ENTITY linux-minor-version "9">
+<!ENTITY linux-patch-version "2">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "111,821 KB">
+<!ENTITY linux-size "112,813 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "4d8b8af44c9d342624c036428da09ab6">
+<!ENTITY linux-md5 "028429512f4a4b6c26ac3f73187d66ed">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 5.8.3 / gcc-10.2.0 on x86_64 : minimum is
@@ -481,16 +481,16 @@
 <!ENTITY man-pages-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY meson-version "0.55.3">
-<!ENTITY meson-size "1,700 KB">
+<!ENTITY meson-version "0.56.0">
+<!ENTITY meson-size "1,753 KB">
 <!ENTITY meson-url "&github;/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
-<!ENTITY meson-md5 "99777acd77838c8669e1421fda8e31c5">
+<!ENTITY meson-md5 "67ce2c0c3eab1b8ee9ddaa1c5143e7c0">
 <!ENTITY meson-home "https://mesonbuild.com">
 <!ENTITY meson-fin-du "34 MB">
 <!ENTITY meson-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY mpc-version "1.2.0">
-<!ENTITY mpc-size "822 KB">
+<!ENTITY mpc-version "1.2.1">
+<!ENTITY mpc-size "820 KB">
 <!ENTITY mpc-url "https://ftp.gnu.org/gnu/mpc/mpc-&mpc-version;.tar.gz">
-<!ENTITY mpc-md5 "2f1ce56ac775f2be090863f364931a03">
+<!ENTITY mpc-md5 "9f16c976c25bb0f76b50be749cd7a3a8">
 <!ENTITY mpc-home "http://www.multiprecision.org/">
 <!ENTITY mpc-fin-du "21 MB">
@@ -523,8 +523,8 @@
 <!ENTITY ninja-fin-sbu "0.2 SBU">
 
-<!ENTITY openssl-version "1.1.1g">
-<!ENTITY openssl-size "9,572 KB">
+<!ENTITY openssl-version "1.1.1h">
+<!ENTITY openssl-size "9,581 KB">
 <!ENTITY openssl-url "https://www.openssl.org/source/openssl-&openssl-version;.tar.gz">
-<!ENTITY openssl-md5 "76766e98997660138cdaf13a187bd234">
+<!ENTITY openssl-md5 "53840c70434793127a3574433494e8d3">
 <!ENTITY openssl-home "https://www.openssl.org/">
 <!ENTITY openssl-fin-du "150 MB">
@@ -582,9 +582,9 @@
      meson pages will be needed: python3.6 and python3.6m -->
 
-<!ENTITY python-version "3.8.5">
-<!ENTITY python-minor "3.8">
-<!ENTITY python-size "17,598 KB">
+<!ENTITY python-version "3.9.0">
+<!ENTITY python-minor "3.9">
+<!ENTITY python-size "18,424 KB">
 <!ENTITY python-url "https://www.python.org/ftp/python/&python-version;/Python-&python-version;.tar.xz">
-<!ENTITY python-md5 "35b5a3d0254c1c59be9736373d429db7">
+<!ENTITY python-md5 "6ebfe157f6e88d9eabfbaf3fa92129f6">
 <!ENTITY python-home "https://www.python.org/">
 <!ENTITY python-tmp-du "353 MB">
@@ -593,6 +593,6 @@
 <!ENTITY python-fin-sbu "1.3 SBU">
 <!ENTITY python-docs-url "https://www.python.org/ftp/python/doc/&python-version;/python-&python-version;-docs-html.tar.bz2">
-<!ENTITY python-docs-md5 "2e0a549db8bef61733c37322368c815d">
-<!ENTITY python-docs-size "6,409 KB">
+<!ENTITY python-docs-md5 "9d2425d666883b98add3a6c809809147">
+<!ENTITY python-docs-size "6,613 KB">
 
 <!ENTITY readline-version "8.0">
@@ -686,8 +686,8 @@
 <!ENTITY texinfo-fin-sbu "0.8 SBU">
 
-<!ENTITY tzdata-version "2020a">
-<!ENTITY tzdata-size "388 KB">
+<!ENTITY tzdata-version "2020d">
+<!ENTITY tzdata-size "393 KB">
 <!ENTITY tzdata-url "https://www.iana.org/time-zones/repository/releases/tzdata&tzdata-version;.tar.gz">
-<!ENTITY tzdata-md5 "96a985bb8eeab535fb8aa2132296763a">
+<!ENTITY tzdata-md5 "2f58d72e31cf073f5076c2cbf182cba3">
 <!ENTITY tzdata-home "https://www.iana.org/time-zones">
 
@@ -709,11 +709,11 @@
 <!ENTITY util-linux-fin-sbu "1.2 SBU">
 
-<!ENTITY vim-version "8.2.1361">
+<!ENTITY vim-version "8.2.1845">
 <!ENTITY vim-majmin "82">
 <!ENTITY vim-docdir "vim/vim82">
-<!ENTITY vim-size "14,726 KB">
+<!ENTITY vim-size "14,846 KB">
 <!--<!ENTITY vim-url "https://github.com/vim/vim/archive/v&vim-version;/vim-&vim-version;.tar.gz">-->
 <!ENTITY vim-url "&anduin-sources;/vim-&vim-version;.tar.gz">
-<!ENTITY vim-md5 "e07b0c1e71aa059cdfddc7c93c00c62a">
+<!ENTITY vim-md5 "085cf5e6204c3e9348d9e56b422adfba">
 <!ENTITY vim-home "https://www.vim.org">
 <!ENTITY vim-fin-du "201 MB">
Index: part3intro/toolchaintechnotes.xml
===================================================================
--- part3intro/toolchaintechnotes.xml	(revision 3b3d052c633e9b69468899f5400eed07af052742)
+++ part3intro/toolchaintechnotes.xml	(revision 4e579ca26b5a70b7add2c42cbeecdc00e71c2ab3)
@@ -329,6 +329,5 @@
     linkend="chapter-chroot-temporary-tools"/>, the first task is to install
     libstdc++. Then temporary installations of programs needed for the proper
-    operation of the toolchain are performed. Programs needed for testing
-    other programs are also built. From this point onwards, the
+    operation of the toolchain are performed. From this point onwards, the
     core toolchain is self-contained and self-hosted.  In 
     <xref linkend="chapter-building-system"/>, final versions of all the
Index: patches.ent
===================================================================
--- patches.ent	(revision 3b3d052c633e9b69468899f5400eed07af052742)
+++ patches.ent	(revision 4e579ca26b5a70b7add2c42cbeecdc00e71c2ab3)
@@ -2,4 +2,8 @@
 
 <!-- Start of Common Patches -->
+
+<!ENTITY autoconf-fixes-patch "autoconf-&autoconf-version;-consolidated_fixes-1.patch">
+<!ENTITY autoconf-fixes-patch-md5 "3c515415ecdd777990c91e8900279cb9">
+<!ENTITY autoconf-fixes-patch-size "3.8 KB">
 
 <!ENTITY bash-fixes-patch "bash-&bash-version;-upstream_fixes-1.patch">